Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dgesdd

scipy.linalg.lapack.dgesdd(a[, compute_uv, full_matrices, lwork, overwrite_a]) = <fortran function dgesdd>

  Wrapper for `dgesdd`.

  Parameters:
    a input rank-2 array(‘d’) with bounds (m,n)
  Returns:
    u rank-2 array(‘d’) with bounds (u0,u1)
    s rank-1 array(‘d’) with bounds (minmn)
    vt rank-2 array(‘d’) with bounds (vt0,vt1)
    info int
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    compute_uv input int, optional

      Default: 1

    full_matrices input int, optional

      Default: 1

    lwork input int, optional

      Default: max((compute_uv?4*minmn*minmn+MAX(m,n)+9*minmn:MAX(14*minmn+4,10*minmn+2+25*(25+8))+MAX(m,n)),1)